return {
  'nvim-lualine/lualine.nvim',
  dependencies = { 'kyazdani42/nvim-web-devicons' },
  config = function()
    local custom_gruvbox = require 'lualine.themes.gruvbox_dark'

    -- Change the background of lualine_c section for normal mode
    custom_gruvbox.normal.a.bg = '#282828'
    custom_gruvbox.normal.b.bg = '#282828'
    custom_gruvbox.normal.c.bg = '#282828'
    -- custom_gruvbox.normal.a.fg = '#282828'
    -- custom_gruvbox.normal.b.fg = '#282828'
    -- custom_gruvbox.normal.c.fg = '#282828'

    require('lualine').setup {
      options = {
        -- theme = custom_gruvbox,
        theme = 'gruvbox_dark',
        disabled_filetypes = {
          statusline = {},
          winbar = { 'dap-repl', 'dapui_console' },
        },
      },
      globalstatus = true,
      extensions = { 'aerial' },
      sections = {
        lualine_b = {
          'branch',
          'diff',
          {
            'diagnostics',
            sources = { 'nvim_diagnostic' }
          }
        },
        lualine_c = {
          'hostname',
          'getcwd',
          { 'filename', path = 1, file_status = true }
        },
        lualine_y = {
          'searchcount',
          'progress'
        },
      },
      inactive_sections = {
        lualine_c = {
          'getcwd',
          {
            'filename',
            path = 1,
            file_status = true
          }
        }
      },
      winbar = {
        lualine_a = {
          {
            'filename',
            path = 0,
            file_status = true,
            separator = { left = '', right = '' },
            -- color = { fg = '#ffaa88', gui = 'bold' }
            color = { fg = '#ffaa88', bg = '#282828', gui = 'bold' }
          }
        },
        lualine_b = {
          {
            'filesize',
            color = { bg = '#282828' }
          }
        },
        lualine_c = {
          {
            'aerial',
            color = { fg = '#ebdbb2', bg = '#282828', gui = 'bold' }
          }
        },
        lualine_x = {},
        lualine_y = {},
        lualine_z = {
        }
      },
      inactive_winbar = {
        lualine_a = {
          {
            'filename',
            path = 0,
            file_status = true,
            separator = { left = '', right = '' },
            color = { fg = '#ffaa88', bg = '#282828', gui = 'bold' }
            -- color = { fg = '#ffaa88', bg = 'grey', gui = 'italic,bold' }
            -- color = { fg = '#ff1111'}
          }
        },
        lualine_b = {
          {
            'filesize',
            color = { bg = '#282828' }
          }
        },
        lualine_c = { 'aerial' },
        lualine_x = {},
        lualine_y = {},
        lualine_z = {}
      },
      tabline = {
        lualine_a = {},
        lualine_b = {},
        lualine_c = {
          {
            'tabs',
            mode = 2,
            tabs_color = {
              -- Same values as the general color option can be used here.
              active = 'lualine_a_normal',     -- Color for active tab.
              inactive = 'lualine_a_inactive', -- Color for inactive tab.
            },
          }
        },
        lualine_x = {},
        lualine_y = {},
        lualine_z = {}
      },
    }
  end
}
